<!-- FOOTER -->

<footer id="footer" class="footer<?php if(!class_exists( 'Redux' )) { ?> no-redux<?php } ?> clearfix">
	<div class="footer-wrap clearfix">
		<?php if ( class_exists( 'Redux' ) && is_active_sidebar( 'footer-1' ) || 
		class_exists( 'Redux' ) && is_active_sidebar( 'footer-2' ) || 
		class_exists( 'Redux' ) && is_active_sidebar( 'footer-3' ) || 
		class_exists( 'Redux' ) && is_active_sidebar( 'footer-4' ) ) { ?>
		<div class="footer-widget-wrapper">
			<div class="container">
				<div class="row clearfix">
					<?php djompo_footer_widget(); ?>
				</div>
			</div>
		</div>
		<?php } ?>
		
		<div class="footer-bottom clearfix">
			<div class="container">	
				<div class="row">
					<?php if ( class_exists( 'Redux' )) { ?>
						<div class="foot-col column column-2 item-col-1 clearfix">
							<div id="copyright" class="copyright-text foot-col-item">
								<?php djompo_footer_copyright(); ?>
							</div>
						</div>
						<?php if ( has_nav_menu( 'footer-menu' ) ) { ?>
						<div class="foot-col column column-2 item-col-2 text-right clearfix">
							<div class="menu-footer foot-col-item">
								<div class="footer-menu">
									<?php djompo_footer_menu(); ?>
								</div>
							</div>
						</div>
					<?php } 
					}
					else { 
						$djompo_theme_name = wp_get_theme(); ?>
						<div class="foot-col column column-1 item-col-1 text-left clearfix">
						<p><a href="<?php echo esc_url($djompo_theme_name->get( 'ThemeURI' )); ?>"><?php echo esc_html($djompo_theme_name->get( 'Name' )); ?></a><?php esc_html_e( ' &copy; Copyright ', 'djompo' ); ?><?php echo date("Y"); ?><?php esc_html_e( ', Built by Themes Awesome', 'djompo' ); ?></p>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
</footer>
<!-- FOOTER END -->

</div>
<!-- MAIN WRAPPER END -->

<?php wp_footer(); ?>

</body>
</html>