<?php
function djompo_styles_method() {	

	wp_enqueue_style(
	'djompo-custom-style',
	get_template_directory_uri() . '/css/custom-style.css'
	);

	/*theme options*/
	if ( class_exists( 'Redux' )) {
	$options				= get_option('djompo_framework');
	$djompo_bordered_title	= $options['bordered_title'];

	$djompo_loader_size = $options['loader_size'];
	$djompo_loader_w = '';
	if(!empty($djompo_loader_size["width"])){
		$djompo_loader_w	= $options['loader_size']["width"];
	}
	$djompo_loader_h = '';
	if(!empty($djompo_loader_size["height"])){
		$djompo_loader_h	= $options['loader_size']["height"];
	}

	if(!empty($options['header_mob_bg_def']['rgba'])) {
		$djompo_header_mob_bg_def	= "background-color:" . $options['header_mob_bg_def']['rgba'];
	}
	else {
		$djompo_header_mob_bg_def	= "background-color:" . $options['header_mob_bg_def']["color"] . ";" . "opacity:" . $options['header_mob_bg_def']["alpha"];
	}
	$djompo_header_mob_bg_alt	= $options['header_mob_bg_alt'];

	$djompo_bordered_width = '0px';
	$djompo_bordered_width_c	= $options['bordered_width'];
	if(!empty($djompo_bordered_width_c["width"])){
		$djompo_bordered_width 	= $djompo_bordered_width_c["width"];
	}

	/* header area content */
	$logo_padding	= $options['logo_padding'];
	$logo_padd_top = '0px';
	$logo_padd_bot = '0px';
	if(!empty($logo_padding["padding-top"])){
		$logo_padd_top = $logo_padding["padding-top"];
	}
	if(!empty($logo_padding["padding-bottom"])){
		$logo_padd_bot = $logo_padding["padding-bottom"];
	}

	$mobile_padding_head	= $options['mobile_padding_head'];
	$mobile_padding_head_left = '0px';
	$mobile_padding_head_right = '0px';
	if(!empty($mobile_padding_head["padding-left"])){
		$mobile_padding_head_left = $mobile_padding_head["padding-left"];
	}
	if(!empty($mobile_padding_head["padding-right"])){
		$mobile_padding_head_right = $mobile_padding_head["padding-right"];
	}

	$mobile_margin_logo	= $options['mobile_margin_logo'];
	$mobile_margin_logo_top = '0px';
	$mobile_margin_logo_bottom = '0px';
	if(!empty($mobile_margin_logo["margin-top"])){
		$mobile_margin_logo_top = $mobile_margin_logo["margin-top"];
	}
	if(!empty($mobile_margin_logo["margin-bottom"])){
		$mobile_margin_logo_bottom = $mobile_margin_logo["margin-bottom"];
	}

	$mobile_margin_menu	= $options['mobile_margin_menu'];
	$mobile_margin_menu_top = '0px';
	$mobile_margin_menu_bottom = '0px';
	if(!empty($mobile_margin_menu["margin-top"])){
		$mobile_margin_menu_top = $mobile_margin_menu["margin-top"];
	}
	if(!empty($mobile_margin_menu["margin-bottom"])){
		$mobile_margin_menu_bottom = $mobile_margin_menu["margin-bottom"];
	}

	$header_container_width	= $options['header_container_width'];
	$header_contain_width	= 'auto';
	if(!empty($header_container_width["width"])){
		$header_contain_width = $header_container_width["width"];
	}
	$nopad = '';
	if($header_contain_width == '100%') {
		$nopad = 'padding-left: 0; padding-right: 0;';
	}

	$main_header_padding	= $options['main_header_padding'];
	$main_header_padding_top = '0px';
	$main_header_padding_bot = '0px';
	$main_header_padding_left = '0px';
	$main_header_padding_right = '0px';
	if(!empty($main_header_padding["padding-top"])){
		$main_header_padding_top = $main_header_padding["padding-top"];
	}
	if(!empty($main_header_padding["padding-bottom"])){
		$main_header_padding_bot = $main_header_padding["padding-bottom"];
	}
	if(!empty($main_header_padding["padding-left"])){
		$main_header_padding_left = $main_header_padding["padding-left"];
	}
	if(!empty($main_header_padding["padding-right"])){
		$main_header_padding_right = $main_header_padding["padding-right"];
	}

	$header_padding	= $options['header_padding'];
	$header_padding_top = '0px';
	$header_padding_bot = '0px';
	$header_padding_left = '0px';
	$header_padding_right = '0px';
	if(!empty($header_padding["padding-top"])){
		$header_padding_top = $header_padding["padding-top"];
	}
	if(!empty($header_padding["padding-bottom"])){
		$header_padding_bot = $header_padding["padding-bottom"];
	}
	if(!empty($header_padding["padding-left"])){
		$header_padding_left = $header_padding["padding-left"];
	}
	if(!empty($header_padding["padding-right"])){
		$header_padding_right = $header_padding["padding-right"];
	}

	if(!empty($options['header_background']['rgba'])) {
		$header_background	= "background-color:" . $options['header_background']['rgba'];
	}
	else {
		$header_background	= "background-color:" . $options['header_background']["color"] . ";" . "opacity:" . $options['header_background']["alpha"];
	}

	if(!empty($options['header_top_background']['rgba'])) {
		$header_top_background	= "background-color:" . $options['header_top_background']['rgba'];
	}
	else {
		$header_top_background	= "background-color:" . $options['header_top_background']["color"] . ";" . "opacity:" . $options['header_top_background']["alpha"];
	}

	$djompo_loader_img = '';
	if (isset($options['page_loader_img'])) {
		$djompo_loader_img = $options['page_loader_img']['url'];
	}

	/* footer area content */
	$footer_container_width	= $options['footer_container_width'];

	$footer_padding	= $options['footer_padding'];
	$footwrap_padd_top = '0px';
	$footwrap_padd_bot = '0px';
	if(!empty($footer_padding["padding-top"])){
		$footwrap_padd_top = $footer_padding["padding-top"];
	}
	if(!empty($footer_padding["padding-bottom"])){
		$footwrap_padd_bot = $footer_padding["padding-bottom"];
	}

	$footer_background	= $options['footer_background'];
	if(empty($footer_background)) {
		$footer_bg_color = 'transparent';
		$footer_bg_repeat = 'no-repeat';
		$footer_bg_attach = 'inherit';
		$footer_bg_position = 'center center';
		$footer_bg_size = 'inherit';
	}
	else {
		$footer_bg_color = $footer_background["background-color"];
		$footer_bg_repeat = $footer_background["background-repeat"];
		$footer_bg_attach = $footer_background["background-attachment"];
		$footer_bg_position = $footer_background["background-position"];
		$footer_bg_size = $footer_background["background-size"];
	}
	$footer_background_img = 'background-image: none';
	if(!empty($footer_background["background-image"])){
		$footer_background_img_url = $footer_background["background-image"];
		$footer_background_img = 'background-image: url('.$footer_background_img_url.');';
	}

	// footet widget
	$footer_widget_background	= $options['footer_widget_background'];
	if(empty($footer_widget_background)) {
		$footer_widget_bg_color = 'transparent';
		$footer_widget_bg_repeat = 'no-repeat';
		$footer_widget_bg_attach = 'inherit';
		$footer_widget_bg_position = 'center center';
		$footer_widget_bg_size = 'inherit';
	}
	else {
		$footer_widget_bg_color = $footer_widget_background["background-color"];
		$footer_widget_bg_repeat = $footer_widget_background["background-repeat"];
		$footer_widget_bg_attach = $footer_widget_background["background-attachment"];
		$footer_widget_bg_position = $footer_widget_background["background-position"];
		$footer_widget_bg_size = $footer_widget_background["background-size"];
	}
	$footer_widget_background_img = 'background-image: none';
	if(!empty($footer_widget_background["background-image"])){
		$footer_widget_background_img_url = $footer_widget_background["background-image"];
		$footer_widget_background_img = 'background-image: url('.$footer_widget_background_img_url.');';
	}

	/*the fonts*/
	$header1_menu_typography	= $options['header1-menu-typography'];
	$content_body_font			= $options['content-body-font'];
	if(!empty($content_body_font["font-weight"])) {
		$content_body_font_weight = $content_body_font["font-weight"];
	}
	else {
		$content_body_font_weight = $content_body_font["font-style"];
	}
	$content_heading_font		= $options['content-heading-font'];
	if(!empty($content_heading_font["font-weight"])) {
		$content_heading_font_weight = $content_heading_font["font-weight"];
	}
	else {
		$content_heading_font_weight = $content_heading_font["font-style"];
	}

	$header_mobile_typography	= $options['header-mobile-typography'];
	if(!empty($header_mobile_typography["font-weight"])) {
		$header_mobile_typography_weight = $header_mobile_typography["font-weight"];
	}
	else {
		$header_mobile_typography_weight = $header_mobile_typography["font-style"];
	}

	$heading1_typo	= $options['heading1_typo'];
	$heading2_typo	= $options['heading2_typo'];
	$heading3_typo	= $options['heading3_typo'];
	$heading4_typo	= $options['heading4_typo'];
	$heading5_typo	= $options['heading5_typo'];
	$heading6_typo	= $options['heading6_typo'];

	}

	/* container */
	$djompo_head_container_type				= get_theme_mod( 'djompo_head_container_type', 'px' );
	$djompo_head_container_size				= get_theme_mod( 'djompo_head_container_size', '1170' );

	$djompo_content_container_type			= get_theme_mod( 'djompo_content_container_type', 'px' );
	$djompo_content_container_size			= get_theme_mod( 'djompo_content_container_size', '1170' );

	$djompo_footer_container_type			= get_theme_mod( 'djompo_footer_container_type', 'px' );
	$djompo_foot_container_size				= get_theme_mod( 'djompo_foot_container_size', '1170' );
	$djompo_custom_background				= get_theme_mod( 'custom-background' );



	/* HEADER SECTION
	================================================== */


	//header styling

	$menu_header	   							=	get_option('menu_header', '#000000');
	$menu_hover_header	   						=	get_option('menu_hover_header', '#f37e53');
	$menu_border	   							=	get_option('menu_border', '#aaaaaa');
	$sub_bg	   									=	get_option('sub_bg', '#111111');
	$sub_menu   								=	get_option('sub_menu', '#ffffff');
	$search_icon   								=	get_option('search_icon', '#000000');
	$search_active   							=	get_option('search_active', '#f37e53');
	$search_bg_active   						=	get_option('search_bg_active', '#ffffff');

	//header Top styling

	$header_info_small	   						=	get_option('header_info_small', '#aaaaaa');
	$header_info_title	   						=	get_option('header_info_title', '#555555');
	$header_info_icon	   						=	get_option('header_info_icon', '#f37e53');
	$header_bg_btn	   							=	get_option('header_bg_btn', '#f37e53');
	$header_bg_btn_hover	   					=	get_option('header_bg_btn_hover', '#ea835d');
	$header_text_btn	   						=	get_option('header_text_btn', '#ffffff');
	$header_text_btn_hover	   					=	get_option('header_text_btn_hover', '#ffffff');
	$header_icon_btn	   						=	get_option('header_icon_btn', '#ffffff');


	/* CONTENT SECTION
	================================================== */

	//blog

	$border_loop			  		 			=	get_option('border_loop', '#efefef');
	$sticky_bg	   								=	get_option('sticky_bg', '#f37e53');
	$sticky_text	   							=	get_option('sticky_text', '#ffffff');
	$post_meta	   								=	get_option('post_meta', '#999999');
	$category_text	   							=	get_option('category_text', '#f37e53');
	$category_text_hover	   					=	get_option('category_text_hover', '#999999');
	$post_title			   						=	get_option('post_title', '#000000');
	$post_hover_title			   				=	get_option('post_hover_title', '#f37e53');
	$post_desc			  		 				=	get_option('post_desc', '#494949');
	$read_more			  		 				=	get_option('read_more', '#adadad');
	$read_hover_more			  		 		=	get_option('read_hover_more', '#ffffff');
	$read_more_border			  		 		=	get_option('read_more_border', '#e4e4e4');
	$read_more_hover_border			  		 	=	get_option('read_more_hover_border', '#f37e53');
	$read_more_hover_bg			  		 		=	get_option('read_more_hover_bg', '#f37e53');
	$meta_comment			  		 			=	get_option('meta_comment', '#adadad');
	$meta_comment_hover			  		 		=	get_option('meta_comment_hover', '#f37e53');

	//single blog

	$title_single			  		 			=	get_option('title_single', '#000000');
	$title_single_hover			  		 		=	get_option('title_single_hover', '#f37e53');
	$text_single				 				=	get_option('text_single', '#494949');
	$text_quote				 					=	get_option('text_quote', '#494949');
	$quote_icon				  		 			=	get_option('quote_icon', '#f37e53');
	$tag_text				  		 			=	get_option('tag_text', '#f37e53');
	$tag_hover				  		 			=	get_option('tag_hover', '#a0a0a0');
	$author_border				  		 		=	get_option('author_border', '#efefef');
	$title_sparator				  		 		=	get_option('title_sparator', '#222222');
	$comment_title				  		 		=	get_option('comment_title', '#000000');
	$comment_link				  		 		=	get_option('comment_link', '#999999');
	$comment_hover_link				  		 	=	get_option('comment_hover_link', '#ffffff');
	$btn_comment_bg				  		 		=	get_option('btn_comment_bg', '#0b0b0b');
	$btn_comment_bg_hover				  		=	get_option('btn_comment_bg_hover', '#f37e53');
	$btn_comment_text				  		 	=	get_option('btn_comment_text', '#ffffff');
	$next_archive				  			 	=	get_option('next_archive', '#ffffff');

	//sidebar & widget

	$sidebar_search_border	   					=	get_option('sidebar_search_border', '#9e9e9e');
	$sidebar_search_icon	   					=	get_option('sidebar_search_icon', '#000000');
	$sidebar_search_text	   					=	get_option('sidebar_search_text', '#000000');
	$sidebar_bg	   								=	get_option('sidebar_bg', '#f8f8f8');
	$sidebar_border	 	  						=	get_option('sidebar_border', '#efefef');
	$djompo_widget_title	   					=	get_option('djompo_widget_title', '#000000');
	$djompo_border_title	   					=	get_option('djompo_border_title', '#efefef');
	$link_text_sidebar	   						=	get_option('link_text_sidebar', '#000000');
	$link_hover_sidebar	   						=	get_option('link_hover_sidebar', '#f37e53');
	$icon_social_box	   						=	get_option('icon_social_box', '#000000');
	$icon_social_hover	   						=	get_option('icon_social_hover', '#f37e53');
	$icon_social_border	   						=	get_option('icon_social_border', '#e4e4e4');
	$icon_hover_hover	   						=	get_option('icon_hover_hover', '#f37e53');

	//Contact

	$form_bord	   								=	get_option('form_bord', '#aaaaaa');
	$form_bord_hover	   						=	get_option('form_bord_hover', '#f37e53');
	$text_input	   								=	get_option('text_input', '#ffffff');
	$btn_send	   								=	get_option('btn_send', '#938ae2');
	$btn_send_text	   							=	get_option('btn_send_text', '#ffffff');
	$btn_send_hover	   							=	get_option('btn_send_hover', '#f37e53');
	$btn_send_text_hover	   					=	get_option('btn_send_text_hover', '#ffffff');
	$btn_send_border	   						=	get_option('btn_send_border', '#f37e53');
	$btn_send_hover_border	   					=	get_option('btn_send_hover_border', '#f37e53');


	/* FOOTER
	================================================== */

	//footer

	$footer_text	   							=	get_option('footer_text', '#ffffff');
	$footer_link	   							=	get_option('footer_link', '#ffffff');
	$footer_hover_link	   						=	get_option('footer_hover_link', '#fafafa');
	$footer_social	   							=	get_option('footer_social', '#ffffff');
	$footer_hover_social	   					=	get_option('footer_hover_social', '#f37e53');
	$footer_widget_bg							=	get_option('footer_widget_bg', '#191919');
	$footer_widget_title	   					=	get_option('footer_widget_title', '#ffffff');
	$footer_wgtitle_separator	   				=	get_option('footer_wgtitle_separator', '#f37e53');
	$link_text_widget	   						=	get_option('link_text_widget', '#ffffff');
	$link_hover_widget	   						=	get_option('link_hover_widget', '#666666');
	$text_widget	   							=	get_option('text_widget', '#ffffff');
	$border_widget	   							=	get_option('border_widget', '#eaeaea');
	$border_search_footer	   					=	get_option('border_search_footer', '#cb1313');
	$input_search_footer	   					=	get_option('input_search_footer', '#ffffff');
	$btn_footer_widget	   						=	get_option('btn_footer_widget', '#f37e53');
	$btn_footer_hover	   						=	get_option('btn_footer_hover', '#938ae2');
	$btn_footer_text	   						=	get_option('btn_footer_text', '#ffffff');
	$btn_footer_text_hover	   					=	get_option('btn_footer_text_hover', '#ffffff');



	/* Inline Styles Function */
	if(class_exists('acf')){
	$acf_css = "
	";

	wp_add_inline_style( 'djompo-custom-style', $acf_css );
	}

	if(class_exists('Redux')){
	$redux_css = "
	/* theme options */
	.bordered{
	  background-color: {$djompo_bordered_title};
	}

	/* container */
	#header .container{
	  width: {$djompo_head_container_size}{$djompo_head_container_type};
	}
	#content .container{
	  width: {$djompo_content_container_size}{$djompo_content_container_type};
	}
	#footer .container{
	  width: {$djompo_foot_container_size}{$djompo_footer_container_type};
	}
	#status {
		background-size: {$djompo_loader_w} {$djompo_loader_h};
	}
	.bordered-main-wrap {
		padding-left: {$djompo_bordered_width};
		padding-right: {$djompo_bordered_width};
	}

	@media only screen and (max-width: 768px) {
		header#header.inner-head-wrap.header-expanded{
			{$djompo_header_mob_bg_def};
		}
		header#header.inner-head-wrap.header-expanded.alt-head, header#header.inner-head-wrap.header-expanded.alt-head .main-menu ul li {
			background-color: {$djompo_header_mob_bg_alt};
		}
	}

	#status {
		background-image: url({$djompo_loader_img});
	}

	/* header area contents */
	#header .logo-image, #header .logo-title {
		padding-top: {$logo_padd_top};
		padding-bottom: {$logo_padd_bot};
	}

	header#header .container {
		width: {$header_contain_width};
		{$nopad};
	}
	header#header.inner-head-wrap {
		padding-top: {$header_padding_top};
		padding-bottom: {$header_padding_bot};
		padding-right: {$header_padding_right};
		padding-left: {$header_padding_left};
		-webkit-transition: all 0.5s ease 0s;
		-moz-transition: all 0.5s ease 0s;
		transition: all 0.5s ease 0s;

		{$header_background};
	}

	.header-top {
		{$header_top_background};
	}

	header#header .inner-main-header {
		padding-top: {$main_header_padding_top};
		padding-bottom: {$main_header_padding_bot};
		padding-right: {$main_header_padding_right};
		padding-left: {$main_header_padding_left};
	}
	
	@media only screen and (max-width: 768px) {
		header#header.inner-head-wrap {
			padding-left: {$mobile_padding_head_left};
			padding-right: {$mobile_padding_head_right};
		}
		header#header .logo.head-item {
			margin-top: {$mobile_margin_logo_top};
			margin-bottom: {$mobile_margin_logo_bottom};
		}
		.header-style-1 .fr .head-item.search-wrap, header#header .main-menu-btn, .search-box-outer {
			margin-top: {$mobile_margin_menu_top} !important;
			margin-bottom: {$mobile_margin_menu_bottom} !important;
		}
	}

	/* footer area content */
	#footer .container {
		width: {$footer_container_width["width"]};
	}
	#footer .footer-wrap {
		padding-top: {$footwrap_padd_top};
		padding-bottom: {$footwrap_padd_bot};
	}
	#footer {
		background-color: {$footer_bg_color};
		background-repeat: {$footer_bg_repeat};
		background-attachment: {$footer_bg_attach};
		background-position: {$footer_bg_position};
		background-size: {$footer_bg_size};
		{$footer_background_img};
	}
	.footer-widget-wrapper {
		background-color: {$footer_widget_bg_color};
		background-repeat: {$footer_widget_bg_repeat};
		background-attachment: {$footer_widget_bg_attach};
		background-position: {$footer_widget_bg_position};
		background-size: {$footer_widget_bg_size};
		{$footer_widget_background_img};
	}

	/*fonts*/
	body, body p {
		font-family: {$content_body_font["font-family"]};
		font-weight: {$content_body_font_weight};
		text-align: {$content_body_font["text-align"]};
		font-size: {$content_body_font["font-size"]};
		line-height: {$content_body_font["line-height"]};
		word-spacing: {$content_body_font["word-spacing"]};
		letter-spacing: {$content_body_font["letter-spacing"]};
	}
	h1, h2, h3, h4, h5, h6 {
		font-family: {$content_heading_font["font-family"]};
		font-weight: {$content_heading_font_weight};
		text-align: {$content_heading_font["text-align"]};
	}

	.meta.meta-comments .comments {
		font-family: {$content_heading_font["font-family"]};
	}

	h1 {
		text-align: inherit;
		font-size: {$heading1_typo["font-size"]};
		line-height: {$heading1_typo["line-height"]};
		word-spacing: {$heading1_typo["word-spacing"]};
		letter-spacing: {$heading1_typo["letter-spacing"]};
	}
	h2 {
		text-align: inherit;
		font-size: {$heading2_typo["font-size"]};
		line-height: {$heading2_typo["line-height"]};
		word-spacing: {$heading2_typo["word-spacing"]};
		letter-spacing: {$heading2_typo["letter-spacing"]};
	}
	h3 {
		text-align: inherit;
		font-size: {$heading3_typo["font-size"]};
		line-height: {$heading3_typo["line-height"]};
		word-spacing: {$heading3_typo["word-spacing"]};
		letter-spacing: {$heading3_typo["letter-spacing"]};
	}
	h4 {
		text-align: inherit;
		font-size: {$heading4_typo["font-size"]};
		line-height: {$heading4_typo["line-height"]};
		word-spacing: {$heading4_typo["word-spacing"]};
		letter-spacing: {$heading4_typo["letter-spacing"]};
	}
	h5 {
		text-align: inherit;
		font-size: {$heading5_typo["font-size"]};
		line-height: {$heading5_typo["line-height"]};
		word-spacing: {$heading5_typo["word-spacing"]};
		letter-spacing: {$heading5_typo["letter-spacing"]};
	}
	h6 {
		text-align: inherit;
		font-size: {$heading6_typo["font-size"]};
		line-height: {$heading6_typo["line-height"]};
		word-spacing: {$heading6_typo["word-spacing"]};
		letter-spacing: {$heading6_typo["letter-spacing"]};
	}

	@media only screen and (max-width: 768px) {
		#main-wrapper #header #primary-menu li a {
			font-weight: {$header_mobile_typography_weight};
			text-align: {$header_mobile_typography["text-align"]};
			font-size: {$header_mobile_typography["font-size"]};
			line-height: {$header_mobile_typography["line-height"]};
			word-spacing: {$header_mobile_typography["word-spacing"]};
			letter-spacing: {$header_mobile_typography["letter-spacing"]};
		}
	}
	";

	wp_add_inline_style( 'djompo-custom-style', $redux_css );
	}

	$custom_css = "


	/* HEADER SECTION
	================================================================ */

	/* Header Styling --- */

	.logo .site-title a, .header-style-1-wrap .main-menu ul.sm-clean>li>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:active, .header-style-1-wrap .search-wrap #btn-search i, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:hover{
		color: {$menu_header};
	}
	.sm-clean a span.sub-arrow{
		border-top-color: {$menu_header};
	}
	.header-style-1-wrap .main-menu ul.sm-clean>li>a:hover, .header-style-1-wrap .menu__item:hover .menu__link{
		color: {$menu_hover_header};
	}
	.search-box-outer:before{
		background-color: {$menu_border};
	}
	.header-style-1-wrap ul.sm-clean ul{
		background-color: {$sub_bg};
	}
	.header-style-1-wrap ul.sm-clean ul li a, .header-style-1-wrap .menu__item:hover > ul .menu__link{
		color: {$sub_menu};
	}
	.sb-icon-search{
		color: {$search_icon};
	}
	.sb-search.sb-search-open .sb-icon-search, .no-js .sb-search .sb-icon-search{
		color: {$search_active};
	}
	.sb-search.sb-search-open .sb-icon-search, .no-js .sb-search .sb-icon-search{
		background-color: {$search_bg_active};
	}


	/* Header Top Styling --- */

	.head-info-text .small-title{
		color: {$header_info_small} !important;
	}
	#header .head-info-text .title{
		color: {$header_info_title} !important;
	}
	#header .info-wrap i{
		color: {$header_info_icon};
	}
	.call-btn a{
		background-color: {$header_bg_btn};
	}
	.call-btn a:hover{
		background-color: {$header_bg_btn_hover};
	}
	.call-btn a{
		color: {$header_text_btn};
	}
	.call-btn a:hover{
		color: {$header_text_btn_hover};
	}
	.call-btn .header-button-icon{
		color: {$header_icon_btn};
	}

	

	/* CONTENT SECTION
	================================================================ */

	/* Blog --- */

	.post-content-wrap .image-caption-content.box-shadow-content{
		border-color: {$border_loop};
	}
	.sticky .title-content:before{
		background-color: {$sticky_bg};
	}
	.sticky .title-content:before{
		color: {$sticky_text};
	}
	.post-content-wrap .standard-post-date.span-head, .related-posts .standard-post-date p{
		color: {$post_meta};
	}
	.post-content-wrap .standard-post-categories.span-head a, .related-posts .standard-post-categories p{
		color: {$category_text};
	}
	.post-content-wrap .standard-post-categories.span-head a:hover{
		color: {$category_text_hover};
	}
	.post-content-wrap .image-caption-content .title-content h2 a, .blog-single .post-content-wrap .title-content h1 a{
		color: {$post_title};
	}
	.post-content-wrap .image-caption-content .title-content h2 a:hover, .blog-single .post-content-wrap .title-content h1 a:hover{
		color: {$post_hover_title};
	}
	.excerpt-content p, .blog-single .post-content-wrap .content p, .post-content-wrap .post-inner .content p{
		color: {$post_desc};
	}
	.post-content-wrap .button-text{
		color: {$read_more};
	}
	.post-content-wrap .button-text:hover{
		color: {$read_hover_more};
	}
	.post-content-wrap .button-text{
		border-color: {$read_more_border};
	}
	.post-content-wrap .button-text:hover{
		border-color: {$read_more_hover_border};
	}
	.post-content-wrap .button-text:hover{
		background-color: {$read_more_hover_bg};
	}
	.post-content-wrap .sharing-wrap .count-link{
		color: {$meta_comment};
	}
	.post-content-wrap .sharing-wrap .count-link:hover{
		color: {$meta_comment_hover};
	}


	/* Single Blog --- */

	.post-content-wrap .image-caption-content .title-content h2 a, .blog-single .post-content-wrap .title-content h1 a, .single-post-head .post-title, .blog-single .post-author .author-name a, .related-title h4 a, .blog-single .related-posts .title-content h1 a{
		color: {$title_single};
	}
	.post-content-wrap .image-caption-content .title-content h2 a:hover, .blog-single .post-content-wrap .title-content h1 a:hover, .single-post-head .post-title:hover, .blog-single .post-author .author-name a:hover, .related-title h4 a:hover, .blog-single .related-posts .title-content h1 a:hover{
		color: {$title_single_hover};
	}
	.excerpt-content p, .blog-single .post-content-wrap .content p, .post-content-wrap .post-inner .content p, .blog-single .tag-wrapper p{
		color: {$text_single};
	}
	.blog-single .exerpt-content blockquote p{
		color: {$text_quote};
	}
	.blog-single blockquote:before{
		color: {$quote_icon};
	}
	.blog-single .tag-wrapper a{
		color: {$tag_text};
	}
	.blog-single .tag-wrapper a:hover{
		color: {$tag_hover};
	}
	.blog-single .post-author .author-wrap{
		border-color: {$author_border};
	}
	.blog-single .related-posts .heading-related:after{
		background-color: {$title_sparator};
	}
	.comment-respond h3.comment-reply-title, .comments-title h3, .related-content h3{
		color: {$comment_title};
	}
	.comment-respond form p.logged-in-as a:hover, .comment-action a:hover{
		color: {$comment_hover_link};
	}
	.comment-respond form p.form-submit input, .contact-form-style-1 .wpcf7-submit, .contact-form-style-2 .wpcf7-submit{
		background-color: {$btn_comment_bg};
	}
	.comment-respond form p.form-submit input:hover, .contact-form-style-1 .wpcf7-submit:hover, .contact-form-style-2 .wpcf7-submit:hover{
		background-color: {$btn_comment_bg_hover};
	}
	.comment-respond form p.form-submit input, .contact-form-style-1 .wpcf7-submit, .contact-form-style-2 .wpcf7-submit{
		color: {$btn_comment_text};
	}
	.archive .post-navigation .btn, .search-page .post-navigation .btn{
		color: {$next_archive};
	}


	/* Sidebar & Widget --- */

	.sidebar .widget.widget_search input{
		border-color: {$sidebar_search_border};
	}
	.sidebar .widget.widget_search button i{
		color: {$sidebar_search_icon};
	}
	.sidebar .widget.widget_search input, .sidebar .widget.widget_search input::placeholder{
		color: {$sidebar_search_text};
	}
	.sidebar .widget{
		background-color: {$sidebar_bg};
	}
	.sidebar .widget{
		border-color: {$sidebar_border};
	}
	.sidebar .widget h4.widget-title{
		color: {$djompo_widget_title};
	}
	.sidebar .widget-title{
		border-bottom-color: {$djompo_border_title};
	}
	.sidebar #recent-posts-2 ul li a, .sidebar .widget .recent-news .post-content h5 a, .sidebar #recent-comments-2 ul li a, li.recentcomments, .sidebar #archives-2 ul li a, .sidebar #categories-2 ul li a, .sidebar #meta-2 ul li a, .latest-post-wrap h5 a, .latest-post-wrap .post-content h5, .widget_recent_entries ul li > a{
		color: {$link_text_sidebar};
	}
	.sidebar #recent-posts-2 ul li a:hover, .sidebar .widget .recent-news .post-content h5 a:hover, .sidebar #recent-comments-2 ul li a:hover, li.recentcomments:hover, .sidebar #archives-2 ul li a:hover, .sidebar #categories-2 ul li a:hover, .sidebar #meta-2 ul li a:hover, .latest-post-wrap h5 a:hover, .latest-post-wrap .post-content h5:hover, .widget_recent_entries ul li > a:hover{
		color: {$link_hover_sidebar};
	}
	.sidebar .widget_djompo_socialbox a{
		color: {$icon_social_box};
	}
	.sidebar .widget_djompo_socialbox a:hover, .sidebar .widget_djompo_socialbox a i:hover{
		color: {$icon_social_hover};
	}
	.sidebar .widget_djompo_socialbox a{
		border-color: {$icon_social_border};
	}


	/* Contact --- */

	.contact-form-style-3 input, .contact-form-style-3 textarea{
		border-bottom-color: {$form_bord};
		border-left-color: {$form_bord};
	}
	.contact-form-style-3 input:hover, .contact-form-style-3 input:focus, .contact-form-style-3 textarea:hover, .contact-form-style-3 textarea:focus{
		border-color: {$form_bord_hover};
	}
	.contact-form-style-3 input{
		color: {$text_input};
	}
	.contact-form-style-3 input.wpcf7-submit{
		background-color: {$btn_send};
	}
	.contact-form-style-3 input.wpcf7-submit{
		color: {$btn_send_text};
	}
	.contact-form-style-3 input.wpcf7-submit:hover{
		background-color: {$btn_send_hover};
	}
	.contact-form-style-3 input.wpcf7-submit:hover{
		color: {$btn_send_text_hover};
	}
	.contact-form-style-3 input.wpcf7-submit{
		border-color: {$btn_send_border};
	}
	.contact-form-style-3 input.wpcf7-submit{
		border-color: {$btn_send_hover_border};
	}



	/* FOOTER SECTION
	================================================================ */

	/* Footer --- */

	.copyright-text, .footer-text-area, #footer.no-redux p, #footer.no-redux a, .foot-text{
		color: {$footer_text};
	}
	.copyright-text a, .footer-menu li a{
		color: {$footer_link};
	}
	.copyright-text a:hover, .footer-menu li a:hover{
		color: {$footer_hover_link};
	}
	.footer-bottom .social-footer ul li a{
		color: {$footer_social};
	}
	.footer-bottom .social-footer ul li a:hover{
		color: {$footer_hover_social};
	}
	.footer-widget-wrapper{
		background-color: {$footer_widget_bg};
	}
	.footer-widget .widget-footer h4.widget-title{
		color: {$footer_widget_title};
	}
	.footer-widget .widget-footer h4.widget-title:after{
		background-color: {$footer_wgtitle_separator};
	}
	.footer-widget .widget-footer .latest-post-widget a, .latest-post-wrap h5, .footer-widget .widget_nav_menu ul li a, .footer-widget .widget-footer a, .footer-widget .meta-latest-news span, .footer-widget .meta-latest-news a, .footer-widget .meta-latest-news a span, .footer-widget .date span, .footer-widget .date a{
		color: {$link_text_widget};
	}
	.footer-widget .widget-footer .latest-post-widget a:hover, .footer-widget .widget_nav_menu ul li a:hover, .footer-widget .widget-footer a:hover, .meta-latest-news a:hover, .meta-latest-news a:hover span, .footer-widget .date a:hover{
		color: {$link_hover_widget};
	}
	.footer-widget .textwidget{
		color: {$text_widget};
	}
	.latest-post-wrap .post-content, .footer-widget .widget_nav_menu ul li a:before, .latest-post-wrap .post-content, .footer-widget .widget_nav_menu ul li a:before{
		border-bottom-color: {$border_widget};
	}
	#footer .widget-footer.widget_search input{
		border-color: {$border_search_footer};
	}
	#footer .widget-footer.widget_search button{
		background-color: {$border_search_footer};
	}
	#footer .widget-footer.widget_search input{
		color: {$input_search_footer};
	}
	.textwidget .button-footer-widget{
		background-color: {$btn_footer_widget};
	}
	.textwidget .button-footer-widget:hover{
		background-color: {$btn_footer_hover};
	}
	.footer-widget .textwidget a.button-footer-widget{
		color: {$btn_footer_text};
	}
	.footer-widget .textwidget a.button-footer-widget:hover{
		color: {$btn_footer_text_hover};
	}

	
	";

	wp_add_inline_style( 'djompo-custom-style', $custom_css );

}
add_action( 'wp_enqueue_scripts', 'djompo_styles_method');