<?php 
	$orig_post = $post;  
	$tags = wp_get_post_tags($post->ID); 
		  
	if ($tags) {  
	$tag_ids = array();  
	foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;  
	$args=array(  
	'tag__in' => $tag_ids,  
	'post__not_in' => array($post->ID),  
	'posts_per_page'=>3, // Number of related posts to display.  
	'ignore_sticky_posts' => 1
	  
	);  
		  
	$my_query = new WP_Query( $args );  
		
	if ($my_query->have_posts()) : ?> 

	<div class="related-content clearfix">
		<h3 class="clearfix"><?php esc_html_e( 'Related Posts', 'djompo' ); ?></h3>
		<div class="row">

	<?php while($my_query->have_posts()) : $my_query->the_post();

	?>  

		<div class="column column-2 content-related-post clearfix">

			<?php if ( has_post_thumbnail()) { ?> 
			<a href="<?php the_permalink(); ?>">
				<figure class="post-thumb">
					<?php the_post_thumbnail(); ?>
					 <div class="djompo-overlay"></div>
				</figure>
			 </a>
			<?php } ?>

			<div class="date span-head">
				<a href="<?php the_permalink(); ?>">
					<span><?php the_time( get_option( 'date_format' ) ); ?></span>
				</a>
			</div>

			<div class="related-title">
				<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
				<span class="separator"></span>
			</div>

			<div class="excerpt">
				<?php echo djompo_excerpt(15); ?>
			</div>

		</div><!-- end column -->

	<?php  endwhile; ?> 

	</div>
</div><!-- end related-content --><?php wp_reset_postdata(); endif;
} ?> 