<?php get_header(); ?>

<div id="content-wrapper" class="wrapper">
	<div class="container">
		<article class="single-post post no-result not-found outer clearfix">
			<div class="inner">
				<h1><?php esc_html_e( '4', 'djompo' ); ?><span><?php esc_html_e( '0', 'djompo' ); ?></span><?php esc_html_e( '4', 'djompo' ); ?></h1>
				<h3>
					<?php esc_html_e( 'The page you were looking for doesn&rsquo;t exist.', 'djompo' ); ?>
				</h3>
				<span><?php esc_html_e( 'You may have mistyped the address or the page may have moved.', 'djompo' ); ?></span>

				<div class="search-bar-no-res">
					<?php get_template_part( 'searchform' ); ?>
				</div>

				<a class="back-to-home" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Go back home ', 'djompo' ); ?></a>
			</div>
		</article><!-- #post-0 .post .no-result .not-found -->
	</div>
</div><!-- wrapper -->

<?php get_footer(); ?>