<?php get_header(); ?>

<!-- CONTENT START
============================================= -->
<section id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog archives clearfix">
		<div class="container clearfix">

			<?php if ( have_posts() ) : ?>
			<div class="row clearfix">
				
				<!-- BLOG LOOP START
				============================================= -->
				<div class="masonry-post post-masonry-style clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">

						<?php while ( have_posts() ) : the_post(); 
							get_template_part( 'inc/format/loop', get_post_format() );
						endwhile; ?>
						
					</div>

					<div class="blog-standard pagination clearfix">
						<?php djompo_content_nav($pages = '', $range = 2); ?>
					</div>
				</div>
				<!-- BLOG LOOP END -->

			</div><!-- row -->

			<?php else : ?>
				<?php get_template_part( 'inc/format/content-search', 'no-result' ); ?>
			<?php endif; ?>

		</div><!-- container -->
	</div><!-- search-result -->

</section>
<!-- CONTENT END -->

<?php djompo_footer_choice(); ?>