<?php get_header(); ?>

<!-- CONTENT START
============================================= -->
<section id="content" class="blog-content-wrap clearfix">

	<?php
	if(class_exists( 'Redux' )) {
	$djompo_options 				= get_option('djompo_framework');
	$djompo_archive_hide_title 	= $djompo_options['archive_hide_title'];

	if($djompo_archive_hide_title == 'show_title') { ?>
	<div class="page-title">
		<div class="container">
			<h2 class="archive-title"><?php esc_html_e( 'Category', 'djompo' ); ?></h2>
			<h3 class="tax-title"><?php single_cat_title(); ?></h3>
		</div>
	</div><!-- .page-header -->
	<?php }
	}
	else { ?>
	<div class="page-title no-option-page">
		<div class="container">
			<h3 ><span><?php esc_html_e( 'Category', 'djompo' ); ?></span>
			<?php single_cat_title(); ?></h3>
		</div>
	</div><!-- .page-header -->
	<?php } ?>

	<!-- BLOG START
	============================================= -->
	<div class="blog category wrapper clearfix">
		<div class="container">
			<?php if ( have_posts() ) : ?>
			<div class="row clearfix">
				
				<!-- BLOG LOOP START
				============================================= -->
				<div class="masonry-post post-masonry-style clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">

						<?php while ( have_posts() ) : the_post(); 
							get_template_part( 'inc/format/loop', get_post_format() );
						endwhile; ?>

					</div>

					<div class="blog-standard pagination clearfix">
						<?php djompo_content_nav($pages = '', $range = 2); ?>
					</div>
				</div>
				<!-- BLOG LOOP END -->

			</div><!-- row -->

			<?php else : ?>
				<?php get_template_part( 'inc/format/content-search', 'no-result' ); ?>
			<?php endif; ?>
		</div><!-- container -->
	</div><!-- search-result -->

</section>
<!-- CONTENT END -->

<?php djompo_footer_choice(); ?>