<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<div class="post-content-wrap clearfix">
			<div class="post-inner clearfix">
				<div class="image-caption-content box-shadow-content">

					<?php
					if ( class_exists( 'acf' ) ) {
					$images = get_field('djompo_gallery');
					if( $images){ ?>

					<div class="slider-wrapper clearfix">
						<div class="standard-carousel-slider post-gallery carousel-container">
							<div class="carousel-wrapper owl-carousel owl-theme">
								<?php foreach( $images as $image ): ?>
								<div class="carousel-slide">
									<img src="<?php echo esc_url( $image['url'] ); ?>" alt="<?php echo esc_attr( $image['alt'] ); ?>" />  
								</div>
								<?php endforeach; ?>
							</div>
						</div>
					</div>
					<?php } 
					elseif ( has_post_thumbnail()) { ?>
						<div class="post-thumb-wrap clearfix">
							<div class="post-thumb">
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail(); ?>

									<div class="djompo-overlay"></div>
								</a>
							</div>
						</div><!-- thumbnail-->
					<?php }
					}
					else { 
						if ( has_post_thumbnail()) { ?>
						<div class="post-thumb-wrap clearfix">
							<div class="post-thumb">
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail(); ?>

									<div class="djompo-overlay"></div>
								</a>
							</div>
						</div><!-- thumbnail-->
						<?php }
					} ?>

					<div class="image-description-content">

						<?php if(!is_sticky()) { ?>

						<div class="standard-post-categories span-head">
							<?php the_category(' '); ?>
						</div>
						<div class="standard-post-date span-head">
							<?php the_time( get_option( 'date_format' ) ); ?>
						</div>
						<div class="title-content">
							<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						</div>

						<?php } else { ?>

						<div class="title-content sticky">
							<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						</div>
						<div class="standard-post-categories span-head sticky">
							<?php the_category(' '); ?>
						</div>
						<div class="standard-post-date span-head sticky">
							<?php the_time( get_option( 'date_format' ) ); ?>
						</div>

						<?php } ?> 

						<div class="content">
							<?php the_excerpt(); ?>
						</div>
						<div class="button-content">
							<a href="<?php the_permalink(); ?>" class="button-text right-icon the-icon transparent"><?php echo esc_html__( 'Keep Reading' , 'djompo' ); ?></a>
						</div>

						<?php $comment_number = get_comments_number();
						if ($comment_number != 0 ) { ?>
						<div class="sharing-wrap">
							<div class="item-to-share">
								<a href="<?php the_permalink(); ?>" class="count-link">
									<i class="fa fa-comments-o"></i>
									<span class="number"><?php comments_number(); ?></span>
								</a>
							</div>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>

</article>