<?php get_header(); ?>

<?php 
if ( class_exists( 'Redux' ) ) {
$djompo_options = get_option('djompo_framework');
	$djompo_blog_style = $djompo_options['loop_blog_style'];
	$djompo_loop_nav_type = $djompo_options['loop_nav_type'];

?>
<!-- CONTENT START
============================================= -->
<div id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog blog-loop right-sidebar clearfix">
		<div class="container clearfix">
			<div class="row clearfix">

				<!-- BLOG LOOP START
				============================================= -->
				<div class="<?php if($djompo_blog_style == 'sidebar') { ?>column column-2of3 <?php } ?>clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section masonry-style-loop row grid">
						<?php while ( have_posts() ) : the_post(); 

							get_template_part( 'inc/format/loop', get_post_format() );

						endwhile; // end of the loop. ?>
					</div>
					
					<div class="blog-standard pagination clearfix">
						<?php
						if($djompo_loop_nav_type == 'nav_default') {
							djompo_content_nav($pages = '', $range = 2);
						}
						elseif($djompo_loop_nav_type == 'nav_pagina') {
							djompo_pagination($pages = '', $range = 2);
						} ?>
					</div>
				</div>
				<!-- BLOG LOOP END -->

				<!-- SIDEBAR START
				============================================= -->

				<?php if($djompo_blog_style == 'sidebar') { 
					get_sidebar(); 
				} ?>

				<!-- SIDEBAR END -->
			</div>
		</div>
	</div>
	<!-- BLOOG END -->

</div>
<!-- CONTENT END -->
<?php }
else { ?>
<!-- CONTENT START
============================================= -->
<div id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog right-sidebar blog-loop wrapper-space clearfix">
		<div class="container clearfix">
			<div class="row clearfix">
				
				<!-- BLOG LOOP START
				============================================= -->
				<div class="<?php if(is_active_sidebar( 'primary-sidebar' )) { ?>column column-2of3 <?php } ?>clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">
						
						<div class="row">
							<?php while ( have_posts() ) : the_post(); 

								get_template_part( 'inc/format/loop', get_post_format() );

							endwhile; // end of the loop. ?>
						</div>

					</div>

					<div class="blog-standard pagination clearfix">
						<?php djompo_content_nav($pages = '', $range = 2); ?>
					</div>
				</div>
				<!-- BLOG LOOP END -->

				<?php get_sidebar(); ?>

			</div>
		</div>
	</div>
	<!-- BLOOG END -->

</div>
<!-- CONTENT END -->
<?php } ?>

<?php djompo_footer_choice(); ?>