<?php get_header(); ?>

<!-- CONTENT START
============================================= -->
<section id="content" class="search-page blog-content-wrap clearfix">

	<div class="page-title<?php if(!class_exists( 'Redux' )) { ?> no-option-page<?php } ?>">
		<div class="container">
	        <h3 ><span><?php esc_html_e( 'Search Results', 'djompo' ); ?></span>
	        <?php printf( esc_html__( '%s', 'djompo' ), get_search_query() ); ?></h3>
	    </div>
    </div><!-- .page-header -->

	<!-- BLOG START
	============================================= -->
	<div class="blog search-result clearfix">
		<div class="container">
			<div class="<?php if(is_active_sidebar( 'primary-sidebar' )) { ?>row <?php } ?>clearfix">

				<?php if ( have_posts() ) : ?>
					<!-- BLOG LOOP START
					============================================= -->
					<div class="masonry-post post-masonry-style <?php if(is_active_sidebar( 'primary-sidebar' )) { ?>column column-2of3 <?php } ?> clearfix">
						<div class="blog-section main-blog-loop infinite-container content-section">

							<?php while ( have_posts() ) : the_post(); 

								get_template_part( 'inc/format/loop', get_post_format() );

							endwhile; ?>

						</div>

						<div class="blog-standard pagination clearfix">
							<?php djompo_content_nav($pages = '', $range = 2); ?>
						</div>

					</div>
					<!-- BLOG LOOP END -->

					<?php else : ?>
						<div class="<?php if(is_active_sidebar( 'primary-sidebar' )) { ?>column column-2of3 <?php } ?> clearfix">
							<?php get_template_part( 'inc/format/content-search', 'no-result' ); ?>
						</div>
					<?php endif; ?>

				<!-- SIDEBAR START
				============================================= -->

				<?php get_sidebar(); ?>

				<!-- SIDEBAR END -->

			</div><!-- row -->

		</div><!-- container -->
	</div><!-- search-result -->

</section>
<!-- CONTENT END -->

<?php djompo_footer_choice(); ?>